Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1758597 - Backport patch for SELinux labeling before policy load
Summary: Backport patch for SELinux labeling before policy load
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1777525
TreeView+ depends on / blocked
 
Reported: 2019-10-04 15:03 UTC by Jonathan Lebon
Modified: 2020-11-24 20:24 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1777525 (view as bug list)
Environment:
Last Closed: 2020-11-24 20:24:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Jonathan Lebon 2019-10-04 15:03:40 UTC
There is a kernel patch that was recently merged[1] that we'd really like to get into Fedora (and eventually RHEL) soon. This patch will fix multiple SELinux-related issues in Fedora CoreOS and RHEL CoreOS, as well as unblock further work on those platforms.

Unfortunately, being just recently merged after the 5.4 window, holding back these fixes and enhancements until 5.5 comes to Fedora will take much longer than we can wait for. Specifically, the stable release of Fedora CoreOS will be based on f31 (but released some time after Fedora 31 GA). Is there any way we can get this patch backported to the 5.4 and 5.3 kernels?

I can help with the backport and submit PRs to src.fp.o; but I just wanted to discuss here first.

Thanks!

[1] https://lore.kernel.org/selinux/20190912133007.27545-1-jlebon@redhat.com/T/#u

Comment 1 Laura Abbott 2019-10-07 15:54:52 UTC
Put this in F31 branch, should show up with the next build there. This will also be part of the F30 rebase which I'll see about doing this afternoon.

Comment 2 Fedora Update System 2019-10-08 22:15:39 UTC
FEDORA-2019-ca7e07b5c5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ca7e07b5c5

Comment 3 Fedora Update System 2019-10-09 03:25:43 UTC
kernel-5.3.5-300.fc31, kernel-headers-5.3.5-300.fc31, kernel-tools-5.3.5-300.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ca7e07b5c5

Comment 4 Ben Cotton 2020-11-03 15:37:46 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-11-24 20:24:13 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.